ur_rna.StructureEditor.services.fileIO

## Class RnaFileIO.BackendCalc<TResult>

- java.lang.Object
- - ur_rna.StructureEditor.services.fileIO.RnaFileIO.BackgroundWork<TResult>
  - - ur_rna.StructureEditor.services.fileIO.RnaFileIO.BackendCalc<TResult>

- Type Parameters:
    `TResult` - The result that is produced by the calculation.
  All Implemented Interfaces:
    RnaFileIO.AsyncTask<TResult>
  Enclosing class:
    RnaFileIO

      public abstract static class RnaFileIO.BackendCalc<TResult>
      extends RnaFileIO.BackgroundWork<TResult>

  A task that is run in the RNAstructure Backend (JNI). These jobs update a (c++) ProgressHandler, but do not source update events.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_stepWork`
    `protected int` | `_workComplete`
    `protected ProgressHandler` | `backendProgress`

    - ### Fields inherited from class ur_rna.StructureEditor.services.fileIO.RnaFileIO.BackgroundWork

      `_canCancel, _complete, _err, _isCanceled, _isDone, _progress, _result, _status, _tag, _update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackendCalc()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `int` | `getProgress()`
    `boolean` | `isCanceled()`
    `protected void` | `nextStep(int workInStep)`
    `protected void` | `nextStep(int workInStep, java.lang.String status, boolean canCancel)`

    - ### Methods inherited from class ur_rna.StructureEditor.services.fileIO.RnaFileIO.BackgroundWork

      `calcResult, canCancel, getError, getResult, getStatus, getTag, isDone, notifyUpdate, onUpdate, setError, setError, start, update, update, whenDone`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ur_rna.StructureEditor.services.fileIO.RnaFileIO.AsyncTask

      `hadError`

- - ### Field Detail

    - #### _stepWork

          protected int _stepWork

    - #### _workComplete

          protected int _workComplete

    - #### backendProgress

          protected ProgressHandler backendProgress

  - ### Constructor Detail

    - #### BackendCalc

          public BackendCalc()

  - ### Method Detail

    - #### cancel

          public void cancel()

      Specified by:
        `cancel` in interface `RnaFileIO.AsyncTask<TResult>`
      Overrides:
        `cancel` in class `RnaFileIO.BackgroundWork<TResult>`

    - #### getProgress

          public int getProgress()

      Specified by:
        `getProgress` in interface `RnaFileIO.AsyncTask<TResult>`
      Overrides:
        `getProgress` in class `RnaFileIO.BackgroundWork<TResult>`

    - #### isCanceled

          public boolean isCanceled()

      Specified by:
        `isCanceled` in interface `RnaFileIO.AsyncTask<TResult>`
      Overrides:
        `isCanceled` in class `RnaFileIO.BackgroundWork<TResult>`

    - #### nextStep

          protected void nextStep(int workInStep)

    - #### nextStep

          protected void nextStep(int workInStep,
                                  java.lang.String status,
                                  boolean canCancel)